fetch("/checkModsFolder")
    .then(res => res.json())
    .then(data => {
        if (!data.exists) {
            const modsTab = document.getElementById("mods");
            if (modsTab) modsTab.style.display = "none";
        }
    });

fetch("/checkPluginsFolder")
    .then(res => res.json())
    .then(data => {
        if (!data.exists) {
            document.getElementById("plugins").style.display = "none";
        }
    });